x86: Require yasm OR --disable-asm OR --disable-mmx OR --disable-yasm to build.